Page MenuHomePhabricator

Language selector in source selector prevent selecting any unsupported language given manually in URL
Closed, ResolvedPublic

Description

See https://www.mediawiki.org/wiki/Topic:S8k3rq6bbvw5x62z

The current source selector prevents users from selecting a language that is not enabled. This is by design, but it has the side effect that people cannot experiment using their language by directly changing the 'to'/'from' parameters in the URL.

Perhaps we need to pre-fill those manually entered languages in the source language selector rather than falling back to enabled languages?

Event Timeline

santhosh raised the priority of this task from to Medium.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.
Jsahleen moved this task from Backlog to In Progress on the LE-Sprint-81 board.Jan 6 2015, 7:19 PM

Change 183549 had a related patch set uploaded (by Jsahleen):
Source Selector: Prefill options from url

https://gerrit.wikimedia.org/r/183549

Patch-For-Review

Change 183549 abandoned by Jsahleen:
Source Selector: Prefill options from url

Reason:
I accidentally created this off of master. Will add another patch with my changes.

https://gerrit.wikimedia.org/r/183549

Change 183892 had a related patch set uploaded (by Jsahleen):
Source Selector: Allow unsupported languages from url for testing

https://gerrit.wikimedia.org/r/183892

Patch-For-Review

Change 183892 merged by jenkins-bot:
Source Selector: Allow unsupported languages from url for testing

https://gerrit.wikimedia.org/r/183892

santhosh moved this task from In Review to Done on the LE-Sprint-81 board.Jan 12 2015, 6:03 AM
Arrbee closed this task as Resolved.Jan 13 2015, 2:48 PM
Arrbee added a subscriber: Arrbee.
RandomDSdevel updated the task description. (Show Details)Mar 2 2015, 8:51 PM
RandomDSdevel set Security to None.
RandomDSdevel awarded a token.